EDIT - bug #6227

LIE during request to derivedUnitFacade/{uuid}/collectingareas
11/29/2016 05:17 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal Found in Version:

Description

http://api.cybertaxonomy.org:80/flora_central_africa/derivedUnitFacade/70c3540a-fefb-4152-9dbf-aef1ae5ffff9/collectingareas

Caused by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of
role: eu.etaxonomy.cdm.model.occurrence.GatheringEvent.collectingAreas, could not initialize proxy
- no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection.java:567)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:205)

at org.hibernate.collection.internal.AbstractPersistentCollection.readSize (AbstractPersistentC
ollection. java:146)

at org.hibernate.collection.internal.PersistentSet.isEmpty (PersistentSet.java:149)

at org.springframework.core.Conventions.getVariableName (Conventions. java:89)

at org.springframework.core.Conventions.getVariableNameForReturnType (Conventions. java:175)

at org.springframework.web.method.annotation.ModelFactory.getNameForReturnValue (ModelFactory.j
ava:215)

at org.springframework.web.method.annotation.ModelAttributeMethodProcessor.handleReturnvalue (M
odelAttributeMethodProcessor. java:208)

at org.springframework.web.method. support.HandlerMethodReturnValueHandlerComposite.handleRetur
nValue (HandlerMethodReturnValueHandlerComposite. java:80)

at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeA
ndHandle (ServletInvocableHandlerMethod. java:126)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHa
ndlerMethod (RequestMappingHandlerAdapter. java:814)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleIn
ternal (RequestMappingHandlerAdapter. java:737)

at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle (AbstractHand
lerMethodAdapter. java:85)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

63 more

Associated revisions

Revision 5f3efd0e - 01/12/2017 05:58 PM - Andreas Kohlbecker

fix #6227 solvig LIE in DerivedUnitFacade webservice

History

#1 - 01/10/2017 12:05 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 4.5

#2 - 01/12/2017 05:58 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|5f3efd0eb42e522ee613872715¢c821753a1
#3 - 01/19/2017 03:33 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
